POST
/
platformapi
/
chainup
/
open
/
record
/
presentCoinList
curl --request POST \
--url http://service.xxx.com/platformapi/chainup/open/record/presentCoinList
{
    "code": "0",
    "msg": "suc",
    "data": {
        "uid": 24093315,
        "presentRecordList": [
            {
                "uid": "1234",
                "symbol": "btc",
                "ctimeStr": "2023-11-29 06:00:06",
                "amount": "0.10419999996",
                "typeName": "红包活动",
                "ctime": 1701208806000,
                "opUid": 0
            },
            {
                "uid": "1349",
                "symbol": "btc",
                "ctimeStr": "2023-11-28 06:00:07",
                "amount": "0.756329813377564",
                "typeName": "活动",
                "ctime": 1701122407000,
                "opUid": 0
            }
        ],
        "persentTypeArr":[
            {
                "present_type": "2",
                "used": true,
                "title": "红包活动"
            }
        ],
        "count": 111,
        "ctimeEnd": null,
        "pageSize": 10,
        "page": 1,
        "type": null,
        "ctimeStart": null
    }
}

Query Parameters

appKey
string
required

Merchant AppKey

Example: xxx_xxx

uid
string

User's ID

ctimeStart
string

Start time

Example: 1701684051928

ctimeEnd
string

End time

Example: 1701684051928

page
string

Default= 1 .

Example: 1

sign
string
required

Signature

Example: 2ae04ed9165624419bad68e9e0f3f2sa9fbd2ae04ed916511624419bad68e9e20f3f29fbd

Response

200 - application/json
code
string

Return code.

Example: 0

msg
string

Success or failure message

Example: Success

data
object
count
string

Example: 111

ctimeEnd
string

Example: null

pageSize
string

Example: 10

page
string

Example: 1

type
string

Example: null

ctimeStart
string

Example: null